pSpeed = GetFloatParam("speed", 0)
pStrength = GetFloatParam("strength", 1e309)
pAcc = GetFloatParam("acc", 0)

function init()
	motors = FindJoints("motor")
	speed = 0

	if pAcc == 0 then
		speed = pSpeed
	else
		SetValue("speed", pSpeed, "linear", pAcc)
	end
end


function tick(dt)
	for i=1,#motors do
		SetJointMotor(motors[i] ,speed , pStrength)
	end
end

